@use "../../../styles/colors";
@use "../../../styles/colors-fonts" as cf;

.hero {
  border: 1px solid green;
  background: linear-gradient(rgba(0, 0, 0, 0.35), rgba(0, 0, 0, 0.35)),
    url(../../../assets/images/desktop/image-hero.jpg);
  background-size: 100% 100%;
  background-position: center;
  height: 40rem;
  padding: 3.6rem 0;
}

.hero-body {
  height: 86%;
  display: flex;
  align-items: center;
}

.text-wrappper {
  align-self: center;
  max-width: 42rem;
  padding: 2rem 2rem 1.2rem;
  border: 1px solid cf.$primary-light;
}

.headline {
  @include cf.josefin-font;
  font-size: 4.8rem;
  text-transform: uppercase;
  color: cf.$primary-light;
}

@media (min-width: 701px) and (max-width: 900px) {
  .headline {
    font-size: 3.6rem;
  }
}

@media (max-width: 700px) {
  .hero {
    background-size: cover;
    background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)),
      url(../../../assets/images/mobile/image-hero.jpg);
    background-position: center;
    background-size: cover;
    height: 80vh;
  }
  .text-wrappper {
    width: 100%;
    padding: 1.4rem;
  }
  .headline {
    font-size: 2.8rem;
  }
}
